## ros-noetic-khi-duaro-ikfast-plugin 1.3.0

=== debian/changelog ===
ros-noetic-khi-duaro-ikfast-plugin (1.3.0-2buster) buster; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.2.0-2buster) buster; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.1.2-2buster) buster; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.1.1-2buster) buster; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.1.0-2buster) buster; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.0.0-2buster) buster; urgency=high

  * duAro IKfast
  * Contributors: nakamichi_d, matsui_hiro

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

## ros-noetic-khi-duaro-ikfast-plugin 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(khi_duaro_ikfast_plugin)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf_conversions
)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
)

include_directories(include)

set(IKFAST_LIBRARY_NAME_L duaro_lower_arm_moveit_ikfast_plugin)
set(IKFAST_LIBRARY_NAME_U duaro_upper_arm_moveit_ikfast_plugin)

find_package(LAPACK REQUIRED)

add_library(${IKFAST_LIBRARY_NAME_L} src/duaro_lower_arm_ikfast_moveit_plugin.cpp)
add_library(${IKFAST_LIBRARY_NAME_U} src/duaro_upper_arm_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME_L} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})
target_link_libraries(${IKFAST_LIBRARY_NAME_U} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})

install(TARGETS ${IKFAST_LIBRARY_NAME_L} ${IKFAST_LIBRARY_NAME_U} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
  duaro_lower_arm_moveit_ikfast_plugin_description.xml
  duaro_upper_arm_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-khi-duaro-ikfast-plugin (1.4.0-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.3.0-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.2.0-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.1.2-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.1.1-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.1.0-2focal) focal; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-ikfast-plugin (1.0.0-2focal) focal; urgency=high

  * duAro IKfast
  * Contributors: nakamichi_d, matsui_hiro

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-khi-duaro-ikfast-plugin
Section: misc
Priority: optional
Maintainer: matsui_hiro <matsui_hiro@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-tf-conversions
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-noetic-khi-duaro-ikfast-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-noetic-moveit-core, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-tf-conversions
Description: The khi_duaro_ikfast_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-khi-duaro-ikfast-plugin//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
